<div class="full-height full-width flex-column">
  @if (warningMessageKey) {
    <div class="flex-row body-content m-t-5">
      <i
        nz-icon
        class="sqtm-core-icon"
        nzType="info-circle"
        nzTheme="twotone"
        [nzTwotoneColor]="'#1890FF'"
      ></i>
      <span [innerHTML]="warningMessageKey | translate"></span>
    </div>
  }
  <div class="m-10 flex-fixed-size" style="width: 200px">
    <sqtm-core-text-research-field
      (newResearchValue)="handleResearchInput($event)"
    ></sqtm-core-text-research-field>
  </div>
  <div class="full-height full-width" style="overflow: hidden">
    <sqtm-core-grid></sqtm-core-grid>
  </div>
</div>
